Dashboard module type Tab Panel ignores display limits for task queries
Closed, InvalidPublic

Description

When you create a tab panel with task queries the "show X items" property seems to be ignored, and the value of 3 is used instead.

Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF changed Security from none to None.
Jaredzimmerman-WMF renamed this task from Dashboard module type Tab Panel ignores display limits tor task queries to Dashboard module type Tab Panel ignores display limits for task queries .
Qgil added a subscriber: Qgil.Oct 29 2014, 11:21 PM

I played with other values in the past, and it worked. Could you share the URL of the panel you have problems with, giving us permissions to see it and edit it?

Qgil closed this task as Invalid.Oct 30 2014, 9:34 AM
Qgil claimed this task.

Works for me... See W74 limited to 7 tasks, embedded in tab panel W75. Both are editable, just play with them. Please reopen if you find a situation where this doesn't work.

Test Tab Panel

Loading...

I've set this to both unlimited and to 1000 as a test, it still just show 3 for each query.

{W73}

Qgil added a comment.Oct 30 2014, 10:31 PM

Can you make W73 editable by All Users, so I can check what is in there, please?

Qgil added a comment.EditedOct 30 2014, 10:45 PM

Currently W73 has a first tab "Open" which is empty (no query assigned) and the Closed tab points to W72, which contains this query with only two results: https://phabricator.wikimedia.org/maniphest/query/Ht2lYUaDBoSh/

Looking at F581, it looks like these are open tasks assigned to you, and there are only 3: https://phabricator.wikimedia.org/maniphest/query/xOLNSYF7CuKc/#R

If there are only 2-3 results, then you will see 2-3 regardless of whether the limit is set to 1000 or unlimited.

Jaredzimmerman-WMF closed this task as Resolved.Oct 30 2014, 11:01 PM
Aklapper changed the task status from Resolved to Invalid.Oct 31 2014, 12:24 PM
Aklapper added a subscriber: Aklapper.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:05 PM